#ifndef FMP_EPAY_I_H
#define FMP_EPAY_I_H

#include <fmp_plugin_i.h>

/**
 * 业务插件接口，必须继承自 FMPluginInterface
 * @brief The FMPePayInterface class
 */
class FMPePayInterface : public FMPluginInterface
{
public:
    explicit                FMPePayInterface(ctkPluginContext *ctx) : FMPluginInterface(ctx) {}
    virtual int             Pay() = 0;

};

Q_DECLARE_INTERFACE(FMPePayInterface, "com.fmp.epay")


#endif // FMP_LOGGER_I_H
